<nav class="bottom-nav">
  <a class="bottom-nav__action bottom-nav__action--active not-active">
    <svg class="bottom-nav__icon" width="470pt" height="470pt" viewBox="0 0 470 470">
      <path class="svg-path-menu" d=" M 192.26 0.00 L 276.63 0.00 C 283.63 0.49 290.73 1.06 297.41 3.35 C 316.08 9.40 331.57 24.44 338.03 42.99 C 352.78 43.56 367.98 41.30 382.31 45.79 C 397.86 50.57 411.02 61.91 419.11 75.90 C 424.50 85.32 427.03 96.22 426.99 107.03 C 426.99 202.70 426.99 298.37 426.99 394.04 C 426.92 402.75 427.47 411.60 425.45 420.16 C 421.83 437.11 410.35 451.75 395.76 460.79 C 386.02 466.94 374.50 469.36 363.13 470.00 L 108.20 470.00 C 97.57 469.54 86.75 467.75 77.32 462.57 C 61.83 454.15 49.42 439.49 45.01 422.28 C 43.55 416.66 42.95 410.84 42.98 405.05 C 43.00 305.70 42.98 206.36 42.99 107.02 C 42.92 95.21 46.00 83.32 52.39 73.34 C 60.59 60.59 73.03 50.27 87.63 45.79 C 101.97 41.30 117.17 43.53 131.93 42.98 C 138.40 24.44 153.88 9.41 172.54 3.35 C 178.89 1.18 185.62 0.61 192.26 0.00 M 187.40 43.53 C 181.68 44.78 176.76 48.70 173.79 53.67 C 169.39 61.18 170.19 71.49 176.00 78.05 C 179.90 82.74 185.86 85.69 192.00 85.64 C 220.70 85.66 249.39 85.67 278.08 85.63 C 286.98 85.73 295.27 79.34 297.99 70.97 C 300.05 64.43 298.98 56.84 294.67 51.42 C 290.78 46.30 284.56 42.96 278.09 43.01 C 251.07 42.98 224.06 43.02 197.04 43.00 C 193.82 43.01 190.56 42.83 187.40 43.53 M 85.68 106.99 C 85.68 206.65 85.66 306.32 85.68 405.98 C 85.45 417.23 95.69 427.33 106.93 426.99 C 192.29 427.01 277.66 427.01 363.03 426.99 C 374.28 427.35 384.54 417.25 384.31 405.98 C 384.35 307.99 384.31 209.99 384.33 111.99 C 384.32 108.10 384.56 104.11 383.33 100.36 C 380.69 92.17 372.71 85.83 364.01 85.69 C 355.35 85.60 346.70 85.68 338.04 85.66 C 329.49 110.54 304.39 128.76 277.96 128.33 C 249.97 128.34 221.98 128.32 193.99 128.33 C 185.50 128.47 176.95 127.18 169.04 124.03 C 151.98 117.28 137.99 103.05 131.96 85.67 C 123.30 85.68 114.63 85.60 105.97 85.70 C 94.97 85.84 85.30 95.98 85.68 106.99 Z" />
      </svg>
    <span class="bottom-nav__label">سفارش</span>
  </a>

  <a class="bottom-nav__action nav-button-hover" href="/#/marketkhoone/menu" routerLinkActive="router-link-active">

    <svg class="bottom-nav__icon" width="512pt" height="512pt" viewBox="0 0 512 512">
      <path class="svg-path-menu" d=" M 21.47 81.60 C 23.62 81.15 25.81 81.03 28.00 80.99 C 180.34 81.01 332.69 80.98 485.04 81.01 C 497.22 80.84 508.64 90.08 511.10 101.99 C 513.90 113.44 508.04 126.18 497.62 131.61 C 492.59 134.48 486.69 135.07 481.01 134.86 C 329.99 134.83 178.97 134.86 27.96 134.85 C 19.15 135.11 10.38 130.83 5.29 123.62 C -0.96 115.17 -1.45 102.98 4.08 94.03 C 7.85 87.74 14.28 83.11 21.47 81.60 Z" />
      <path class="svg-path-menu" d=" M 24.17 229.24 C 51.11 228.81 78.06 229.18 105.01 229.06 C 231.69 229.07 358.38 229.04 485.07 229.07 C 499.37 228.79 512.14 241.68 511.76 255.98 C 512.14 270.28 499.37 283.17 485.07 282.91 C 332.69 282.95 180.32 282.91 27.95 282.92 C 18.45 283.23 9.02 278.15 4.15 269.98 C -1.05 261.62 -1.06 250.39 4.13 242.02 C 8.37 234.98 15.97 230.06 24.17 229.24 Z" />
      <path class="svg-path-menu" d=" M 24.19 377.30 C 49.11 376.92 74.06 377.25 98.99 377.14 C 227.66 377.15 356.34 377.12 485.01 377.15 C 493.98 377.09 502.73 381.98 507.52 389.55 C 513.28 398.32 513.14 410.49 507.15 419.12 C 502.15 426.68 493.13 431.27 484.07 430.99 C 331.69 430.97 179.30 431.02 26.92 430.97 C 12.96 431.22 0.38 418.98 0.23 405.02 C -0.59 391.37 10.58 378.47 24.19 377.30 Z" />
      </svg>
    <span class="bottom-nav__label">منو</span>
  </a>
</nav>

<div class="div-bottom-nav">
  <div class="div-button">
      <div class="div-button-app">
          <div class="button-app margin-top-4" role="button" tabindex="0" (click)="continueOrder()">ادامه سفارش</div>
      </div>
  </div>
</div>

<div class="div-basket">
  <div class="basket-title">سبد خرید</div>
  <div class="basket-amount">{{totalFactor}} تومان</div>
  <div class="basket-product">
    <div class="basket-product-child" [ngClass]="{'margin-left-16': i == 0, 'margin-right-16': i == (factor.factorDetails.length - 1)}" *ngFor="let factorDetail of factor.factorDetails; let i=index">
      <div class="basket-product-child-image-body" [ngClass]="{'animation-bottom-to-top-basket-8': factorDetail.newAdded && (factorDetail.count == 1)}">
        <img class="basket-product-child-image" src="{{factorDetail.product.imageUrl}}" crossorigin="anonymous">
      </div>
      <div class="basket-product-child-title" [ngClass]="{'animation-bottom-to-top-basket-78': factorDetail.newAdded && (factorDetail.count == 1)}" >{{factorDetail.title}}</div>
      <div id="{{ 'basket-' + factorDetail.product._id}}" class="basket-product-child-count" *ngIf=" factorDetail.count > 1 && getAnimation(factorDetail)">{{factorDetail.count}}</div>
    </div>
  </div>
</div>
<div class="div-category">
  <mat-tab-group id="tab-category" animationDuration="0ms" (selectedTabChange)="tabClick($event)">
    <mat-tab label="{{categoryProduct.title}}" *ngFor="let categoryProduct of categoryProductsResult" >
      <div (scroll)="scrollHandler($event)" class="div-product">
              <div class="div-product-child" *ngFor="let product of categoryProduct.products ; let i=index">
              <div *ngIf="product.available == null || product.available == true" class="product-child-plus" (click)= "plus(product._id)">+</div>
              <div *ngIf="product.available == null || product.available == true" class="product-child-count" [ngClass]="{'count-active': product.count > 0}">{{product.count}}</div>
              <div *ngIf="product.available == null || product.available == true"  class="product-child-minus" (click)= "minus(product._id)">-</div>
              <div *ngIf="product.available != null && product.available == false" class="not-available">اتمام موجودی</div>
              <div class="product-child-title animation-bottom-to-top-8" [ngStyle]="{'animation-delay': ((i%20) * 0.05) + 's'}" >{{product.title}}</div>
              <div class="product-child-price animation-bottom-to-top-46" [ngClass]="{'line-through': product.priceWithDiscount != ''}" [ngStyle]="{'animation-delay': ((i%20) * 0.05) + 's'}">{{product.price}}</div>
              <div *ngIf="product.priceWithDiscount != ''" class="product-child-price margin-right-16 animation-bottom-to-top-46" [ngStyle]="{'animation-delay': ((i%20) * 0.05) + 's'}">{{product.priceWithDiscount}}</div>
              <div class="product-child-image-body animation-bottom-to-top-4" (click)="openIngredient(product)" [ngClass]="{'border-active': product.count > 0}" [ngStyle]="{'animation-delay': ((i%20) * 0.05) + 's'}" >
                <img class="product-child-image" src="{{product.imageUrl}}" crossorigin="anonymous">
              </div>

              <div *ngIf="(i == categoryProduct.products.length-1) && isProductLoading">
                <div class="loader-box product-loading">
                    <div class="loader-inner line-scale-pulse-out">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                      </div>
                </div>
            </div>
          </div>
          <div *ngIf="categoryProduct.products.length == 0 && isProductLoading">
            <div class="loader-box product-loading">
                <div class="loader-inner line-scale-pulse-out">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                  </div>
            </div>
        </div>
        </div>
    </mat-tab>
</mat-tab-group>
</div>

<div class="div-ingredient" [ngStyle]="{height: ingeradientHeight + '%'}" [ngClass]="{'ingredient-active': isIngredient}">
<div id="ingredient-modal" class="ingredient-modal">
  <div class="ingredient-arrow-down-body" (click)="closeIngredient()">
    <svg class="ingredient-arrow-down" width="319pt" height="319pt" viewBox="0 0 319 319" version="1.1" xmlns="http://www.w3.org/2000/svg">
      <g>
      <path class="card-input-icon-path" d=" M 5.92 116.84 C 11.43 113.94 18.24 113.63 24.04 115.86 C 69.36 138.06 114.54 160.60 159.92 182.67 C 203.99 160.71 248.27 139.16 292.38 117.27 C 297.05 114.52 302.75 113.87 308.03 114.85 C 312.13 115.79 316.62 117.79 318.28 121.97 C 319.61 125.78 316.93 129.90 313.41 131.36 C 266.06 154.68 218.69 177.97 171.36 201.35 C 165.35 205.01 157.60 205.60 151.11 202.90 C 104.01 179.57 56.83 156.40 9.68 133.17 C 6.29 131.52 2.00 129.99 1.04 125.85 C -0.30 122.04 2.81 118.57 5.92 116.84 Z" />
      </g>
      </svg>
  </div>
  <div class="ingredient-title">
    {{product.title}}
  </div>
  <div *ngIf="product.priceWithDiscount != ''" class="ingredient-price">
    {{product.priceWithDiscount}} تومان
  </div>
  <div *ngIf="product.priceWithDiscount == ''" class="ingredient-price">
    {{product.price}} تومان
  </div>
    <div class="ingredient-image-body" [style.height.px]="imgHeight">
      <img class="ingredient-image" src="{{product.imageUrl}}" crossorigin="anonymous">
    </div>
    <div class="ingredient-card">
      <mat-card class="ingredient-card-body">
        <div class="ingredient-card-ingredient" *ngFor="let ingredient of product.ingredients; let i=index">
            <div class="ingredient-card-title">{{ingredient.title}}</div>
            <div class="ingredient-card-divider" *ngIf="i != (product.ingredients.length - 1)">
                <svg class="ingredient-card-divider-icon" width="400pt" height="400pt" viewBox="0 0 400 400" version="1.1" xmlns="http://www.w3.org/2000/svg">
                  <g >
                  <path class="svg-path-ingredient" d=" M 191.22 25.32 C 199.98 23.78 209.33 24.00 217.65 27.42 C 231.11 32.92 241.74 45.37 244.32 59.77 C 246.13 70.37 244.77 81.78 239.07 91.05 C 232.94 100.95 223.05 108.82 211.57 111.37 C 200.23 113.88 187.74 112.46 177.84 106.15 C 167.95 99.87 160.21 89.81 157.89 78.21 C 155.91 68.03 156.88 57.05 161.82 47.83 C 167.85 36.65 178.69 27.94 191.22 25.32 Z" />
                  <path class="svg-path-ingredient" d=" M 190.39 161.58 C 202.21 159.02 215.29 160.60 225.37 167.57 C 233.55 173.25 240.27 181.40 243.15 191.03 C 245.41 198.50 245.59 206.54 244.12 214.17 C 241.79 226.06 233.73 236.28 223.56 242.59 C 213.74 248.60 201.52 249.82 190.39 247.42 C 179.12 244.93 169.48 237.27 163.29 227.68 C 157.49 218.63 155.94 207.39 157.50 196.88 C 160.06 179.98 173.80 165.44 190.39 161.58 Z" />
                  <path class="svg-path-ingredient" d=" M 190.51 297.63 C 202.32 294.97 215.39 296.77 225.43 303.76 C 234.31 310.05 241.46 319.25 243.89 330.00 C 246.32 340.85 245.11 352.75 239.47 362.44 C 232.68 374.13 220.49 382.88 206.90 384.29 C 200.04 384.85 192.96 384.68 186.40 382.35 C 171.96 377.33 160.39 364.34 157.67 349.21 C 155.84 338.62 157.29 327.23 163.03 318.02 C 169.23 308.16 178.99 300.17 190.51 297.63 Z" />
                  </g>
                  </svg>
            </div>
        </div>
      </mat-card>
    </div>

  </div>
</div>

<div class="retry-button-background" *ngIf="isLoading || !isGetData" >
  <div class="div-bottom" *ngIf="!isGetData">
    <div class="button-app-second" role="button" tabindex="0" (click)="retryGetData()">تلاش دوباره</div>
  </div>
</div>
<div id="searchFab" class="search-fab" (click) = "search()">
  <svg class="icon-search-fab" width="740pt" height="904pt" viewBox="0 0 740 904" version="1.1" xmlns="http://www.w3.org/2000/svg">
    <g id="#000000ff">
    <path class="svg-path" d=" M 331.33 0.00 L 342.65 0.00 C 381.63 0.88 420.56 8.93 456.27 24.69 C 493.53 41.03 527.35 65.14 555.01 94.98 C 600.76 144.02 629.23 208.95 633.63 275.93 C 636.94 321.49 629.72 367.80 612.44 410.10 C 601.18 437.71 585.67 463.56 566.73 486.60 C 578.51 497.70 589.68 509.43 601.22 520.79 C 629.56 549.13 657.91 577.46 686.24 605.81 C 694.98 614.69 697.25 629.76 690.38 640.37 C 681.82 653.39 662.61 657.57 649.28 649.67 C 643.37 645.73 638.92 640.05 633.83 635.19 C 605.93 607.41 578.12 579.55 550.28 551.72 C 542.35 543.44 533.66 535.85 526.30 527.04 C 494.70 553.24 457.57 572.72 418.05 583.79 C 376.31 595.54 331.97 598.00 289.20 590.85 C 220.80 579.95 157.04 543.51 112.17 490.85 C 72.96 445.07 48.04 387.18 42.32 327.14 C 36.58 269.51 47.69 210.14 74.93 158.95 C 101.16 108.99 141.82 66.72 190.92 38.86 C 233.51 14.43 282.27 1.11 331.33 0.00 M 315.44 45.73 C 288.60 48.13 262.05 54.53 237.38 65.43 C 189.07 86.27 147.87 122.86 120.88 167.96 C 96.93 207.84 84.74 254.53 85.44 301.00 C 86.02 339.77 95.39 378.49 113.19 412.98 C 133.27 452.05 163.69 485.71 200.51 509.67 C 237.68 534.06 281.57 547.96 325.97 549.81 C 369.35 552.07 413.22 542.53 451.93 522.88 C 509.04 493.96 554.19 442.44 575.38 382.05 C 591.11 337.34 594.06 288.23 583.70 241.97 C 576.17 207.63 561.24 174.96 540.20 146.80 C 514.32 111.96 479.48 83.74 439.75 66.18 C 400.93 49.00 357.71 41.90 315.44 45.73 Z" />
    <path class="svg-path" d=" M 131.96 703.79 C 155.31 693.85 178.80 684.21 202.21 674.41 C 204.18 678.87 206.05 683.38 207.95 687.87 C 188.59 696.00 169.22 704.11 149.86 712.22 C 161.84 722.59 173.90 733.90 180.24 748.74 C 184.18 757.56 185.16 767.95 181.51 777.03 C 178.87 784.80 172.57 791.10 164.88 793.93 C 155.73 797.75 145.65 796.35 136.01 796.63 C 126.52 796.72 116.06 796.80 108.13 790.77 C 101.88 786.36 99.41 778.41 99.50 771.05 C 99.62 749.68 99.89 728.30 98.84 706.95 C 98.48 700.64 98.12 694.32 97.00 688.10 C 101.82 687.19 106.65 686.33 111.47 685.40 C 113.42 696.15 113.60 707.12 113.99 718.01 C 114.30 735.66 114.35 753.31 114.14 770.96 C 113.98 774.34 114.87 778.27 118.23 779.86 C 124.36 782.83 131.43 781.76 138.01 782.00 C 146.20 781.80 155.22 782.98 162.51 778.41 C 168.86 773.98 170.49 765.00 168.05 757.97 C 164.06 745.67 154.67 736.14 145.24 727.72 C 140.69 723.82 136.06 719.97 131.00 716.74 C 131.13 712.40 131.74 708.11 131.96 703.79 Z" />
    <path class="svg-path" d=" M 59.78 685.52 C 64.56 684.72 69.43 684.53 74.23 683.90 C 77.27 709.17 79.21 734.57 80.89 759.96 C 81.73 771.01 76.63 782.07 68.00 788.93 C 53.79 800.46 34.27 803.74 16.50 801.20 C 16.98 796.34 18.06 791.57 18.83 786.77 C 25.96 787.80 33.26 787.51 40.31 786.00 C 37.05 769.69 29.98 754.44 22.36 739.76 C 15.86 727.76 8.85 716.02 1.02 704.84 C 5.01 701.98 9.03 699.16 13.04 696.34 C 21.25 707.92 28.49 720.17 35.20 732.68 C 43.23 747.93 50.43 763.82 54.19 780.71 C 61.68 776.86 67.19 768.72 66.21 760.08 C 64.08 735.23 62.05 710.37 59.78 685.52 Z" />
    <path class="svg-path" d=" M 453.37 704.90 C 457.53 708.87 461.53 712.99 465.60 717.05 C 461.66 721.10 457.58 725.01 453.67 729.09 C 449.45 725.18 445.49 720.99 441.40 716.94 C 445.36 712.89 449.42 708.95 453.37 704.90 Z" />
    <path class="svg-path" d=" M 466.40 716.94 C 470.42 712.91 474.39 708.83 478.50 704.90 C 482.47 708.97 486.56 712.94 490.54 717.01 C 486.50 721.02 482.55 725.12 478.42 729.05 C 474.47 724.95 470.38 721.00 466.40 716.94 Z" />
    <path class="svg-path" d=" M 348.41 731.37 C 357.50 727.17 368.11 728.94 376.95 732.94 C 392.92 739.20 407.95 749.48 425.61 750.04 C 426.48 754.67 427.50 759.27 428.43 763.89 C 423.91 765.89 419.41 767.92 415.00 770.13 C 417.37 777.30 425.26 780.20 432.06 781.35 C 439.90 782.23 448.20 782.52 455.69 779.62 C 460.84 777.65 464.31 772.49 464.65 767.05 C 465.14 758.78 463.53 750.54 461.41 742.59 C 466.04 741.25 470.67 739.91 475.32 738.65 C 477.74 747.21 479.23 756.07 479.36 764.99 C 479.43 769.94 480.27 775.38 483.88 779.07 C 486.77 782.06 491.49 782.55 495.29 781.26 C 499.71 779.43 503.07 775.79 505.83 772.00 C 511.87 763.41 515.75 753.49 518.54 743.42 C 523.22 744.68 527.86 746.10 532.58 747.23 C 530.46 756.32 528.23 765.78 529.81 775.15 C 530.34 777.94 531.48 781.70 534.87 782.00 C 539.98 782.48 543.91 778.52 546.50 774.60 C 552.77 765.15 555.53 753.92 557.74 742.93 C 562.55 743.84 567.39 744.59 572.16 745.73 C 570.38 753.98 569.65 762.55 570.73 770.95 C 571.41 774.88 572.67 779.54 576.62 781.38 C 579.85 782.52 583.95 781.99 586.23 779.23 C 589.17 775.88 590.27 771.39 591.13 767.14 C 592.56 759.41 592.62 751.48 591.77 743.68 C 596.63 743.06 601.53 742.84 606.41 742.45 C 607.16 752.70 608.91 763.15 613.67 772.38 C 616.10 777.06 620.26 781.74 625.93 781.90 C 637.68 782.22 649.61 782.07 661.06 779.05 C 677.22 775.34 692.08 767.80 706.82 760.46 C 706.82 760.24 706.82 759.80 706.81 759.59 C 696.02 755.57 685.91 749.98 675.22 745.72 C 670.20 743.75 664.21 742.39 659.21 745.14 C 652.54 748.70 648.24 755.26 644.63 761.68 C 640.23 759.66 635.84 757.64 631.39 755.76 C 635.94 746.20 642.81 737.25 652.26 732.15 C 661.56 727.13 672.92 728.57 682.23 732.77 C 698.30 739.02 713.41 749.38 731.18 749.81 C 732.18 754.48 733.04 759.18 733.99 763.86 C 723.08 768.40 712.73 774.15 702.04 779.17 C 687.45 786.37 672.08 792.26 656.00 795.05 C 645.74 796.86 635.27 796.67 624.90 796.57 C 615.16 796.19 606.97 789.60 602.00 781.61 C 599.39 786.81 595.65 791.72 590.29 794.30 C 581.79 798.39 570.60 796.98 563.94 790.09 C 561.82 788.10 560.57 785.46 559.03 783.06 C 554.98 787.62 550.91 792.72 544.92 794.88 C 537.98 797.42 529.32 797.62 523.34 792.71 C 519.87 790.15 517.99 786.19 516.32 782.36 C 510.45 790.38 501.28 796.95 490.95 796.56 C 483.50 796.79 476.13 793.47 471.48 787.63 C 461.38 796.67 446.88 797.01 434.08 796.33 C 421.11 795.51 406.92 789.40 401.77 776.64 C 385.91 784.35 369.58 791.62 352.10 794.73 C 340.09 797.24 327.78 796.34 315.61 796.50 C 311.49 809.81 302.10 820.77 291.80 829.82 C 284.24 836.50 275.90 842.28 267.05 847.10 C 264.63 842.83 262.24 838.55 259.88 834.26 C 272.15 827.23 283.71 818.63 292.78 807.70 C 295.63 804.28 298.10 800.54 299.99 796.51 C 289.93 796.30 279.16 796.87 270.03 791.91 C 261.85 787.54 256.90 778.22 257.62 769.01 C 258.44 757.74 262.53 745.96 271.44 738.55 C 276.49 734.27 283.62 732.89 289.95 734.74 C 297.38 736.76 303.12 742.52 307.26 748.78 C 313.60 758.63 316.35 770.40 316.92 781.99 C 329.61 782.00 342.50 782.46 354.89 779.21 C 371.44 775.55 386.50 767.60 401.70 760.42 C 400.91 759.72 400.02 759.20 399.04 758.84 C 389.07 754.81 379.58 749.64 369.57 745.70 C 364.71 743.82 358.97 742.45 354.05 744.89 C 347.13 748.30 342.82 755.08 339.13 761.57 C 334.70 759.59 330.28 757.57 325.84 755.63 C 330.47 745.47 338.13 736.15 348.41 731.37 M 280.76 749.80 C 275.28 754.54 273.09 761.98 272.28 768.95 C 271.74 772.84 273.50 777.01 277.06 778.88 C 284.69 783.46 293.86 781.65 302.29 781.99 C 301.93 771.42 298.72 760.52 291.51 752.56 C 288.96 749.68 284.29 746.87 280.76 749.80 Z" />
    <path class="svg-path" d=" M 681.28 810.96 C 685.46 814.87 689.41 819.02 693.48 823.06 C 689.43 827.07 685.51 831.22 681.33 835.09 C 677.40 830.99 673.30 827.05 669.33 823.00 C 673.29 818.96 677.36 815.04 681.28 810.96 Z" />
    <path class="svg-path" d=" M 378.59 811.94 C 383.00 815.67 386.82 820.05 390.99 824.06 C 387.00 828.09 382.97 832.08 378.97 836.10 C 374.85 832.12 370.86 828.01 366.79 823.98 C 370.62 819.87 374.80 816.10 378.59 811.94 Z" />
    </g>
    </svg>
</div>

<div class="loader" *ngIf="isLoading">
  <div class="loader-box">
      <div class="loader-inner line-scale-pulse-out">
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
        </div>
  </div>
</div>
